Anhängen von Disclaimern an E-Mails auf Fedora 8

Version 1.0
Author: Oliver Meyer <o [dot] meyer [at] projektfarm [dot] de>


Diese Anleitung veranschaulicht wie man alterMIME als Postfix Filter auf einem Fedora 8 System installiert und konfiguriert. Das daraus resultierende System hängt Disclaimer automatisch an ausgehende E-Mails.

Diese Anleitung ist ein praktischer Leitfaden ohne jegliche Gewähr - theoretisches Hintergrundwissen wird nicht abgedeckt. Es gibt viele Möglichkeiten ein solches System einzurichten - dies ist der Weg, den ich gewählt habe.

1 Vorbemerkung

Für dieses Setup brauchen wir einen laufenden (und gut konfigurierten) Postfix Server.

2 Benötigte Pakete

yum -y install altermime


3 Konfiguration

3.1 Altermime

Zuerst erstellen wir ein System-Konto für altermime.

useradd -r -c "Postfix Filters" -d /var/spool/filter filter
mkdir /var/spool/filter
chown filter:filter /var/spool/filter
chmod 750 /var/spool/filter

Als Nächstes erstellen wir ein Skript, das altermime ausführen wird.

vi /etc/postfix/disclaimer

So sollte es aussehen:
#!/bin/sh
# Localize these. INSPECT_DIR=/var/spool/filter SENDMAIL=/usr/sbin/sendmail.postfix
####### Changed From Original Script #######
DISCLAIMER_ADDRESSES=/etc/postfix/disclaimer_addresses ####### Changed From Original Script END #######
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75 EX_UNAVAILABLE=69
# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15
# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
####### Changed From Original Script #######
# obtain From address from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`
if [ `grep -wi ^${from_address}$ ${DISCLAIMER_ADDRESSES}` ]; then
/usr/bin/altermime --input=in.$$ --disclaimer=/etc/postfix/disclaimer.txt --disclaimer-html=/etc/postfix/disclaimer.txt --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || { echo Message content rejected; exit $EX_UNAVAILABLE; } fi ####### Changed From Original Script END #######
$SENDMAIL "$@" <in.$$
exit $?
Ändere danach die Gruppe und die Berechtigungen damit altermime das Skript ausführen darf.

chgrp filter /etc/postfix/disclaimer
chmod 750 /etc/postfix/disclaimer

Merke: Dieses Skript ist von Falko bearbeitet wurden - Disclaimer werden nur ausgehenden E-Mails angehängt.

Erstelle nun eine Datei, die alle Sender E-Mail Adressen enthält, die von altermime bearbeitet werden.

vi /etc/postfix/disclaimer_addresses

So sollte es zum Beispiel aussehen:
olli@example.com
falko@example.com till@example.com
Als letzten Schritt erstellen wir eine Datei, die den Disclaimer Text enthält. Bearbeite sie nach Deinen Vorstellungen.

vi /etc/postfix/disclaimer.txt

Zum Beispiel - könnte der Text so aussehen:
-------------------
EXAMPLE Company Examplestreet 1 Examplecity www.example.com

3.2 Postfix

Nun musst Du Postfix mitteilen, dass es altermime verwenden soll um Disclaimer anzuhängen.

vi /etc/postfix/master.cf

Füge die Zeile "-o content_filter=dfilt:" (ohne Anführungszeichen) gleich unter der Zeile für smtp hinzu. Beachte, dass die neue Zeile mit mindestens einem Leerzeichen beginnen muss.

Der entsprechende Teil sollte wie folgt aussehen:

smtp inet n - n - - smtpd
-o content_filter=dfilt:

Füge folgende Zeilen am Ender der Datei hinzu. Denke daran, dass die Zeile mit den flags (flags=...) mindestens mit einem Leerzeichen beginnen muss.

# altermime
dfilt unix - n n - - pipe
flags=Rq user=filter argv=/etc/postfix/disclaimer -f ${sender} -- ${recipient}

Starte danach Postfix neu.

/etc/init.d/postfix restart


4 Links

Fedora: http://fedoraproject.org/ alterMIME: http://pldaniels.com/altermime/

0 Kommentar(e)

Zum Posten von Kommentaren bitte